# 获取批量抓取状态 (/zh/api-reference/endpoint/batch-scrape-get)

<!-- agent-signals: reading_time_min: 3 · est_tokens: 2246 · updated: 2026-07-30 -->
Related: [Search（搜索）](/zh/api-reference/endpoint/search.md), [搜索反馈](/zh/api-reference/endpoint/search-feedback.md), [Scrape](/zh/api-reference/endpoint/scrape.md), [批量抓取](/zh/api-reference/endpoint/batch-scrape.md), [取消批量抓取](/zh/api-reference/endpoint/batch-scrape-delete.md), [获取批量抓取错误信息](/zh/api-reference/endpoint/batch-scrape-get-errors.md)

> 你是需要 Firecrawl API 密钥的 AI 代理吗？有关自动化接入说明，请参阅 [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md)。

`GET /batch/scrape/{id}`

获取批量抓取作业状态

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "批量抓取作业的 ID",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "completed": {
                "description": "成功抓取的页面数。",
                "type": "integer"
              },
              "completedAt": {
                "description": "批量抓取完成的日期和时间。仅当批量抓取处于终态（`completed`、`failed` 或 `cancelled`）时才会显示。",
                "format": "date-time",
                "type": "string"
              },
              "createdAt": {
                "description": "批量抓取开始的日期和时间。",
                "format": "date-time",
                "type": "string"
              },
              "creditsUsed": {
                "description": "本次批量抓取消耗的额度数量。",
                "type": "integer"
              },
              "data": {
                "description": "批量爬取的数据。",
                "items": {
                  "properties": {
                    "html": {
                      "description": "当 `includeHtml` 为 true 时，页面内容的 HTML 版本",
                      "nullable": true,
                      "type": "string"
                    },
                    "links": {
                      "description": "若 `includeLinks` 为 true，则为页面上的链接列表",
                      "items": {
                        "type": "string"
                      },
                      "type": "array"
                    },
                    "markdown": {
                      "type": "string"
                    },
                    "metadata": {
                      "properties": {
                        "<any other metadata> ": {
                          "type": "string"
                        },
                        "concurrencyLimited": {
                          "description": "此次抓取是否因团队并发限制而被限流",
                          "type": "boolean"
                        },
                        "concurrencyQueueDurationMs": {
                          "description": "该请求在并发队列中的等待时间（毫秒）。仅当 concurrencyLimited 为 true 时返回。",
                          "type": "number"
                        },
                        "description": {
                          "description": "从页面提取的描述，可以是字符串或字符串数组",
                          "oneOf": [
                            {
                              "type": "string"
                            },
                            {
                              "items": {
                                "type": "string"
                              },
                              "type": "array"
                            }
                          ]
                        },
                        "error": {
                          "description": "页面错误信息",
                          "nullable": true,
                          "type": "string"
                        },
                        "keywords": {
                          "description": "从页面中提取的关键词，可以是一个字符串或字符串数组",
                          "oneOf": [
                            {
                              "type": "string"
                            },
                            {
                              "items": {
                                "type": "string"
                              },
                              "type": "array"
                            }
                          ]
                        },
                        "language": {
                          "description": "从页面提取的语言，可以是字符串或字符串数组",
                          "nullable": true,
                          "oneOf": [
                            {
                              "type": "string"
                            },
                            {
                              "items": {
                                "type": "string"
                              },
                              "type": "array"
                            }
                          ]
                        },
                        "numPages": {
                          "description": "对于 PDF 输入，表示已解析的页数（上限由解析器的 maxPages 选项决定）。",
                          "type": "integer"
                        },
                        "ogLocaleAlternate": {
                          "description": "此页面的其他语言版本",
                          "items": {
                            "type": "string"
                          },
                          "type": "array"
                        },
                        "sourceURL": {
                          "description": "初始请求的 URL。如果发生重定向，可能与页面的最终 URL 不同。",
                          "format": "uri",
                          "type": "string"
                        },
                        "statusCode": {
                          "description": "页面状态码",
                          "type": "integer"
                        },
                        "title": {
                          "description": "从页面中提取的标题，可以是字符串或字符串数组",
                          "oneOf": [
                            {
                              "type": "string"
                            },
                            {
                              "items": {
                                "type": "string"
                              },
                              "type": "array"
                            }
                          ]
                        },
                        "totalPages": {
                          "description": "对于 PDF 输入，表示文档在应用任何 maxPages 限制前的实际总页数。无法确定时将省略；如果 totalPages 大于 numPages，则表示结果已被截断。",
                          "type": "integer"
                        },
                        "url": {
                          "description": "跟随所有重定向后得到的页面最终 URL。",
                          "format": "uri",
                          "type": "string"
                        }
                      },
                      "type": "object"
                    },
                    "rawHtml": {
                      "description": "当 `includeRawHtml` 为 true 时，页面的原始 HTML 内容",
                      "nullable": true,
                      "type": "string"
                    },
                    "screenshot": {
                      "description": "当 `includeScreenshot` 为 true 时的页面截图",
                      "nullable": true,
                      "type": "string"
                    }
                  },
                  "type": "object"
                },
                "type": "array"
              },
              "duration": {
                "description": "批量抓取持续时间，单位为秒。对于已结束的批量抓取，这是从 `createdAt` 到 `completedAt` 的耗时。对于进行中的批量抓取，这是从 `createdAt` 到当前的耗时。",
                "type": "number"
              },
              "expiresAt": {
                "description": "批量抓取过期的日期和时间。",
                "format": "date-time",
                "type": "string"
              },
              "next": {
                "description": "用于获取下一个 10 MB 数据的 URL。如果批量抓取未完成，或响应内容超过 10 MB，则会返回该字段。",
                "nullable": true,
                "type": "string"
              },
              "status": {
                "description": "批量抓取任务的当前状态。可能为 `scraping`、`completed` 或 `failed`。",
                "type": "string"
              },
              "total": {
                "description": "尝试爬取的页面总数。",
                "type": "integer"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "成功的响应"
    },
    "402": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Payment required to access this resource.",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "需要付费"
    },
    "429": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Request rate limit exceeded. Please wait and try again later.",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "请求次数过多"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "An unexpected error occurred on the server.",
                "type": "string"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "服务器错误"
    }
  }
}
```
